﻿<ui:PopUpUserControl xmlns:ui="clr-namespace:Appli.Model.Class.UI"
                     x:Class="Appli.Views.PopUp.DepositoryForm"
                     xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                     xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                     xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
                     xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
                     xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
                     xmlns:local="clr-namespace:Appli.Views.PopUp"
                     xmlns:converters="clr-namespace:Appli.Model.Class.Converters"
                     MinHeight="300"
                     DataContext="{Binding RelativeSource={RelativeSource Self}}"
                     Background="#303030"
                     mc:Ignorable="d" >

    <Grid Margin="10">
        <Grid.RowDefinitions>
            <RowDefinition />
            <RowDefinition />
            <RowDefinition />
        </Grid.RowDefinitions>
        <StackPanel Grid.Row="0" Orientation="Vertical" MinWidth="300">
            <TextBox x:Name="DepositoryName" Text="{Binding Depository.Name}" Margin="0 10" materialDesign:HintAssist.Hint="Nom" Style="{DynamicResource MaterialDesignFloatingHintTextBox}" Foreground="{DynamicResource PrimaryHueDarkForegroundBrush}" BorderBrush="White" />
            <TextBox x:Name="DepositoryAddress" Text="{Binding Depository.Address}" Margin="0 10" materialDesign:HintAssist.Hint="Adresse" Style="{DynamicResource MaterialDesignFloatingHintTextBox}" Foreground="{DynamicResource PrimaryHueDarkForegroundBrush}" BorderBrush="White" />
            <TextBox x:Name="DepositoryPostcode" Text="{Binding Depository.Postcode}" Margin="0 10" materialDesign:HintAssist.Hint="Code postal" Style="{DynamicResource MaterialDesignFloatingHintTextBox}" Foreground="{DynamicResource PrimaryHueDarkForegroundBrush}" BorderBrush="White" />
            <TextBox x:Name="DepositoryCity" Text="{Binding Depository.City}" Margin="0 10" materialDesign:HintAssist.Hint="Ville " Style="{DynamicResource MaterialDesignFloatingHintTextBox}" Foreground="{DynamicResource PrimaryHueDarkForegroundBrush}" BorderBrush="White" />
        </StackPanel>
        <GroupBox Grid.Row="1" x:Name="GbErrors" Header="Erreur" Background="White" Visibility="{Binding ThereAreErrors, Converter={converters:BoolToVisibilityConverter}}">
            <TextBlock x:Name="TbErrors" Foreground="Red" Text="{Binding Errors}"/>
        </GroupBox>
        <Grid Grid.Row="2" Margin="0 10">
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="*"/>
                <ColumnDefinition Width="*"/>
                <ColumnDefinition Width="*"/>
            </Grid.ColumnDefinitions>
            <Button Grid.Column="0" x:Name="BtnSave" Style="{DynamicResource MaterialDesignRaisedAccentButton}" Click="BtnSave_Click" Margin="0 0 10 0">Enregistrer</Button>
            <Button Grid.Column="1" x:Name="BtnDelete" Style="{DynamicResource MaterialDesignRaisedButton}" Click="BtnDelete_Click" Margin="0 0 10 0">Supprimer</Button>
            <Button Grid.Column="2" x:Name="BtnCancel" Style="{DynamicResource MaterialDesignRaisedLightButton}" Click="BtnCancel_Click">Annuler</Button>
        </Grid>
        
    </Grid>
</ui:PopUpUserControl>
